<?php 
$gensettings = get_option('fc_gensettings');
$primarycolor = $textcolor = $titlecolor = $fontfamily = $ffclass = '';
if(!empty($gensettings['fc_primarycolor'])){
	$primarycolor = $gensettings['fc_primarycolor'];
}else{
	$primarycolor = esc_html__('#3952ff','fc');
}
if(!empty($gensettings['fc_titlecolor'])){
	$titlecolor = $gensettings['fc_titlecolor'];
}else{
	$titlecolor = esc_html__('#202d51','fc');
}
if(!empty($gensettings['fc_textcolor'])){
	$textcolor = $gensettings['fc_textcolor'];
}else{
	$textcolor = esc_html__('#7d889c','fc');
}

if(!empty($gensettings['fc_bordercolor'])){
	$bordercolor = $gensettings['fc_bordercolor'];
}else{
	$bordercolor = esc_html__('#7d889c','fc');
}

if(!empty($gensettings['fc_bgcolor'])){
	$bgcolor = $gensettings['fc_bgcolor'];
}else{
	$bgcolor = esc_html__('#111111','fc');
}


if(!empty($gensettings['fc_inputbg'])){
	$inputbg = $gensettings['fc_inputbg'];
}else{
	$inputbg = esc_html__('#7d889c','fc');
}
if(!empty($gensettings['fc_inputcolor'])){
	$inputcolor = $gensettings['fc_inputcolor'];
}else{
	$inputcolor = esc_html__('#ffffff','fc');
}

if(!empty($gensettings['fc_fontfamily'])){
	$fontfamily = $gensettings['fc_fontfamily'];
	if($fontfamily == 'on'){
		$ffclass = esc_html__('Outfit, sans-serif','fc');
	}
	else{
		$ffclass = esc_html__("inherit","fc");
	}
}
$primary = $primarycolor;
$title_clr = $titlecolor;
$text_clr = $textcolor;
?>

<style type="text/css">
body {
    --fitcal-primary : <?php echo esc_html($primary);?>;
    --fitcal-title-color: <?php echo esc_html($title_clr);?>;
	--fitcal-global-color: <?php echo esc_html($text_clr);?>;
	--fitcal-box-bg: <?php echo esc_html($bgcolor);?>;
    --fitcal-font-family: <?php echo esc_html($ffclass);?>;
	--fitcal-input-color: <?php echo esc_html($inputcolor);?>;
    --fitcal-input-bg: <?php echo esc_html($inputbg);?>;
	--fitcal-border-color: <?php echo esc_html($bordercolor);?>;
}
</style>